# Asterisk Project : Asterisk 13 Application_While

Created by wikibot on Aug 08, 2014

# While()

### Synopsis

Start a while loop.

### Description

Start a While Loop. Execution will return to this point when `EndWhile()` is called until expr is no longer true.

### Syntax

    While(expr)

##### Arguments

- `expr`

### See Also

- Asterisk 13 Application_EndWhile
- Asterisk 13 Application_ExitWhile
- Asterisk 13 Application_ContinueWhile

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538